SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   PHP Vendors:   PHP Group
PHP Memory Error in FileInfo apprentice_load() Lets Remote Users Deny Service
SecurityTracker Alert ID:  1031480
SecurityTracker URL:  http://securitytracker.com/id/1031480
CVE Reference:   CVE-2014-9426   (Links to External Site)
Date:  Dec 31 2014
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5.6.4 and prior
Description:   A vulnerability was reported in PHP. A remote user can cause denial of service conditions.

A remote user can send specially crafted data to trigger a memory free on a stack-based arrary in the apprentice_load() function in 'libmagic/apprentice.c' and cause denial of service conditions.

honey at internot dot info reported this vulnerability.

Impact:   A remote user can cause denial of service conditions.
Solution:   The vendor has issued a source code fix, available at:

http://git.php.net/?p=php-src.git;a=commit;h=a72cd07f2983dc43a6bb35209dc4687852e53c09
http://git.php.net/?p=php-src.git;a=commit;h=ef89ab2f99fbd9b7b714556d4f1f50644eb54191

Vendor URL:  www.php.net/ (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC